DCMTK: DcmSimpleMap< T > Class Template Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmSimpleMap< T > Class Template Reference

this class implements a simple map of key-value pairs. More...

## Public Member Functions
| DcmSimpleMap ()
| default constructor
| ~DcmSimpleMap ()
| destructor
OFBool | add (const OFString &key, const T &value)
| inserts a new key-value pair into the map by means of copy construction.
const T * | lookup (const OFString &key) const
| looks up the given key in the map.
OFLIST_TYPENAME | OFListIterator (DcmKeyValuePair< T > *) begin()
| return iterator to first element in list
OFLIST_TYPENAME | OFListIterator (DcmKeyValuePair< T > *) end()
| return iterator to end of list

## Private Member Functions
| DcmSimpleMap (const DcmSimpleMap &arg)
| private undefined copy constructor
DcmSimpleMap & | operator= (const DcmSimpleMap &arg)
| private undefined copy assignment operator

## Private Attributes
OFList< DcmKeyValuePair< T > * > | list_
| the list of key-value pairs

## Detailed Description

template<class T>
class DcmSimpleMap< T >

this class implements a simple map of key-value pairs.

No double keys are permitted, the second attempt to insert an element with a key already present will fail. Template type must be copy constructable.

## Member Function Documentation

## ◆ add()

template<class T>

OFBool DcmSimpleMap< T >::add | ( | const OFString & | key,
|  | const T & | value )
| inline

inserts a new key-value pair into the map by means of copy construction.

Parameters

  key | key
  value | value

Returns
  true if successful, false if failed because key already present

References list_, and lookup().

## ◆ lookup()

template<class T>

const T * DcmSimpleMap< T >::lookup | ( | const OFString & | key | ) | const
| inline

looks up the given key in the map.

Parameters

  key | key

Returns
  pointer to value if found, NULL otherwise.

References list_.

Referenced by add().

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dcmsmap.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2